Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm running a VPS with openSUSE 11.1 (i586). On the VPS is Parallels Plesk Panel 9.3.0 installed. The current PHP-version is PHP 5.2.11. I want to upgrade PHP to PHP 5.3, but I can't find good instructions on how to do this.

If I check for updates in Zypper, it says this is the latest release. In the Plesk Updates isn't an update either, both via the webbased interface and the command line interface.

On Software.openSUSE.org I can find packages for PHP 5.3.1 in both the server:php/server_apache_openSUSE_11.1-repo and the server:php/openSUSE_11.1-repo (can't post the link because I'm a newbie here). But if I add one of those to Zypper, I still don't see an update.

Is there here somebody who knows how to do this? And is it completely safe to update that way? I don't want to end up with a broken VPS...

Thanks! Jonathan

share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

You should just be able to recompile PHP to get 5.3 on there. Unless Plesk has any difficulties handling the differences between 5.2.11 and 5.3, there shouldn't be any problem. When you recompile PHP, it should override your old version and replace it with the new one.

share|improve this answer
    
I've never compiled anything before, I'm not sure if it's safe to try. Aren't there other options? –  Jonathan Jan 15 '10 at 18:56
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.